# Asterisk Project : Asterisk 12 Function_EVAL

Added by wikibot , edited by wikibot on Aug 29, 2013

# EVAL()

### Synopsis

Evaluate stored variables

### Description

Using EVAL basically causes a string to be evaluated twice. When a variable or expression is in the dialplan, it will be evaluated at runtime. However, if the results of the evaluation is in fact another variable or expression, using EVAL will have it evaluated a second time.

Example: If the `MYVAR` contains `OTHERVAR`, then the result of ${EVAL( `MYVAR`)} in the dialplan will be the contents of `OTHERVAR`. Normally just putting `MYVAR` in the dialplan the result would be `OTHERVAR`.

### Syntax

    EVAL(variable)

##### Arguments

- `variable`

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown